import {actionTracksFind} from "../../actions";
import {connect} from "react-redux";
import {store} from "../../reducers";
import {CTrack} from "../track";
import {CPreloaded} from "../preloader";


const AllTracks = ({tracks}={}) =>
    <div>
        <h2>Все композиции</h2>
        <CPreloaded promiseName='findAllTracks1'>
        {(tracks || []).map(track => <CTrack track={track}/>)}
        </CPreloaded>
    </div>


export const CAllTracks = connect(state => ({tracks: state.promise.findAllTracks1?.payload || []}))(AllTracks)

store.dispatch(actionTracksFind())