import {connect} from "react-redux";
import {Link} from "react-router-dom";
import {actionUserFind} from "../../actions";
import {store} from "../../reducers";




const User = ({playlist:{_id, login}={}}) =>
<li><Link to={`/user/${_id}`}>{login}</Link></li>


const AllUsers = ({playlists={}}) =>{

        return (
            <div>
                <h3>Плейлисты ползователей</h3>
            <ul className='Users'>
                    {playlists.map(playlist =>  <User key={Math.random()} playlist={playlist}/> )}
            </ul>
            </div>
        )

}

export const CAllUsers = connect(state => ({playlists: state.promise.userFind?.payload || []}))
(AllUsers)


store.dispatch(actionUserFind())