// import {SortableContainer, SortableElement} from 'react-sortable-hoc';
// import {arrayMoveImmutable} from 'array-move';
// import {useState,useEffect} from "react";

import {connect} from "react-redux";
import {CTrack} from "../track";
import {CPreloaded} from "../preloader";


const Tracks = ({tracks}={}) =>
    <div>
        <CPreloaded promiseName='trackFindByOwner1'>
        {(tracks || []).map(track => <CTrack track={track}/>)}
        </CPreloaded>
    </div>

const CTracks = connect(state => ({tracks: state.promise.trackFindByOwner1?.payload || []}))(Tracks)


export const UserTracks = ({match:{params:{_id}}}) =>
    <>
        <CTracks />
    </>





// const SortableItem = SortableElement(CTrack);
//
//
// const Tracks = ({children}) =>
//     <div>
//         {children}
//     </div>
//
// const SortableList = SortableContainer(Tracks)
//
// const CTracks = connect(state => ({tracks: state.promise.trackFindByOwner1?.payload || []}))(Tracks)
//
//
// export const UserTracks = ({match:{params:{_id}}}) =>
//     <>
//         <h1>{_id}</h1>
//         <CSortableComponent />
//     </>
// // function SortableComponent({tracks=[]}) {
// //     const [state, setState] = useState(tracks)
// //     useEffect(() => {
// //         setState (tracks)
// //     },[tracks])
// //     const onSortEnd = ({oldIndex, newIndex}) => {
// //         setState((state) => (arrayMoveImmutable(state, oldIndex, newIndex)));
// //     };
// //
// //     return <SortableList tracks={tracks} onSortEnd={onSortEnd}>
// //         {state.map((value, index) => <SortableItem key={`item-${value}`} index={index} track={value}/>)}
// //         {console.log(state)}
// //     </SortableList>;
// // }
// //
// // const CSortableComponent = connect (state => ({tracks: state.promise.trackFindByOwner1?.payload || []}))(SortableComponent)
